#pragma once

#include "grid.h"
#include "renderable.h"

class Geography final : public Renderable {
 public:
  Geography(int x, int y);
  ~Geography() override;

  void Randomize(bool);

  float min() const { return height_.min(); }
  float max() const { return height_.max(); }

 protected:
  void SetData() override;

 private:
  Grid height_;

  int x_;
  int y_;
};
